> For the complete documentation index, see [llms.txt](https://docs.fringe.fi/v2-smart-contract-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fringe.fi/v2-smart-contract-documentation/bondtroller/bondtrollerv1storage.md).

# BondtrollerV1Storage

## Overview

#### License: MIT

```solidity
contract BondtrollerV1Storage
```

## Constants info

### isBondtroller (0xc311ab3c)

```solidity
bool constant isBondtroller = true
```

watermark that says that this is Bondtroller

## State variables info

### admin (0xf851a440)

```solidity
address admin
```

Administrator for this contract

### oracle (0x7dc0d1d0)

```solidity
address oracle
```

Oracle which gives the price of any given asset

### closeFactorMantissa (0xe8755446)

```solidity
uint256 closeFactorMantissa
```

Multiplier used to calculate the maximum repayAmount when liquidating a borrow

### liquidationIncentiveMantissa (0x4ada90af)

```solidity
uint256 liquidationIncentiveMantissa
```

Multiplier representing the discount on collateral that a liquidator receives

### maxAssets (0x94b2294b)

```solidity
uint256 maxAssets
```

Max number of assets a single account can participate in (borrow or use as collateral)

### accountAssets (0xdce15449)

```solidity
mapping(address => contract BToken[]) accountAssets
```

Per-account mapping of "assets you are in", capped by maxAssets


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fringe.fi/v2-smart-contract-documentation/bondtroller/bondtrollerv1storage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
